﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3012: (1 year) VER IEEE /9500+1Hd
DATE:                  2010-08-03 14:16:58
AUTHOR:                Fluke
REVISION:              $Revision: 18562 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       217
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        TDS 3012
# 
#  Source(s):
#        TDS3000 Series Digital Phosphor Oscilloscopes Service Manual,
#        071-0382-01, supports firmware version 2.0 and above
# 
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Guardbanding & Ver Method (No NTHROW)
#        Sub Tek TDS3000/3000B IEEE-488 Interface
#        Sub UUT Connection GPIB
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Datron 9500 Configuration Query IEEE
#        Sub Tek TDS3000 Check Firmware Version
#        Sub Tek TDS3000 Set Bandwidth & Number of Channels
#        Sub Tek TDS3000 Self-Test IEEE
#        Sub Tek TDS3000 Signal Path Compensation Cal IEEE
#        Sub Tek TDS3000 (1 yr) DCV IEEE /9500
#        Sub Tek TDS3000 (1 yr) Bandwidth IEEE /9500/600
#        Sub Tek TDS3000 (1 yr) Trig Sens IEEE /9500/600
#        Sub Tek TDS3000 (1 yr) Sample Rate IEEE /9500
#        Sub Tek TDS3000 Channel Select IEEE
#        Sub Tek TDS3000 Trigger Check and Level Adjust IEEE
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        Tektronix Communication Module
#        - TDS3GM or TDS3GV
#
# The procedure was tested using:
#        Model No  : TDS 3054
#        Serial No : b019431
#        Options   : None
#        Firmware  : 2.21
#
# Average run time during testing : 20 mins
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9500         500MH                        1Vpp           LS    S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.3.38"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.013  HEAD         PRELIMINARY INSTRUCTIONS
  1.014  TARGET
  1.015  DISP         Ensure a minimum UUT warm-up time of at least
  1.015  DISP         20 minutes has been allowed to elapse, prior
  1.015  DISP         to beginning verification.

  1.016  CALL         Sub Tek TDS3000/3000B IEEE-488 Interface
  1.017  JMPL         END                              @Abort
  1.018  CALL         Sub UUT Connection GPIB

  1.019  IEEE2        *RST

  1.020  HEAD         UUT IDENTIFICATION
  1.021  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.022  MATH         @UUT_Manufacturer = "Tektronix"
  1.023  MATH         @UUT_Model        = "TDS 3012"
  1.024  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.025  JMPL         END                           @Abort

  1.026  CALL         Sub Tek TDS3000 Check Firmware Version
  1.027  JMPL         END                           @Abort

  1.028  CALL         Sub Datron 9500 Configuration Query IEEE

  1.029  IF           @HeadTypeCh1 == "9560"

  1.030  HEAD         EQUIPMENT REQUIREMENTS
  1.031  OPBR         -z Do you want to REVIEW the list of additional
  1.031  OPBR         equipment and/or accessories required?

  1.032  IF           MEM1
  1.033  DISP         - Adapter SMA(f)-BNC(m)
  1.034  ENDIF

  1.035  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    2.   SELF TEST                          SELF TEST
#    3.   DCV GAIN (CH1)                     DCV GAIN (CH1)
#    4.   DCV GAIN (CH2)                     BANDWIDTH (CH1)
#    5.   BANDWIDTH (CH1)                    TRIGGER SENS (CH1)
#    6.   BANDWIDTH (CH2)                    SAMPLE RATE
#    7.   TRIGGER SENS (CH1)                 DCV GAIN (CH2)
#    8.   TRIGGER SENS (CH2)                 BANDWIDTH (CH2)
#    9.   SAMPLE RATE                        TRIGGER SENS (CH2)

  1.036  CALL         Sub Tek TDS3000 Set Bandwidth & Number of Channels
  1.037  CALL         Sub Tek TDS3000 Signal Path Compensation Cal IEEE
  1.038  JMPL         END                           @Abort

  1.039  CALL         Sub Tek TDS3000 Self-Test IEEE
  1.040  JMPL         END                           @Abort

  1.041  IF           @HeadTypeCh1 == "9560"
  1.042  MATH         Ch1Adapter = " via SMA(f)-BNC(m) adapter"
  1.043  ELSE
  1.044  MATH         Ch1Adapter = ""
  1.045  ENDIF

  1.046  DISP         Connect the 9500 CH1 Active Head to
  1.046  DISP         UUT CH 1[V Ch1Adapter].

  1.047  MATH         @Chan = 1
  1.048  CALL         Sub Tek TDS3000 (1 yr) DCV IEEE /9500
  1.049  JMPL         BANDWIDTH_CH1

  1.050  LABEL        DCV_CH2
  1.051  DISP         Connect the 9500 CH1 Active Head to
  1.051  DISP         UUT CH 2[V Ch1Adapter].

  1.052  MATH         @Chan = 2
  1.053  CALL         Sub Tek TDS3000 (1 yr) DCV IEEE /9500
  1.054  JMPL         BANDWIDTH_CH2

  1.055  LABEL        BANDWIDTH_CH1
  1.056  MATH         @Chan = 1
  1.057  CALL         Sub Tek TDS3000 (1 yr) Bandwidth IEEE /9500/600
  1.058  JMPL         TRIG_CH1

  1.059  LABEL        BANDWIDTH_CH2
  1.060  MATH         @Chan = 2
  1.061  CALL         Sub Tek TDS3000 (1 yr) Bandwidth IEEE /9500/600
  1.062  JMPL         TRIG_CH2

  1.063  LABEL        TRIG_CH1
  1.064  MATH         @Chan = 1
  1.065  CALL         Sub Tek TDS3000 (1 yr) Trig Sens IEEE /9500/600
  1.066  JMPL         SAMPLE_RATE

  1.067  LABEL        TRIG_CH2
  1.068  MATH         @Chan = 2
  1.069  CALL         Sub Tek TDS3000 (1 yr) Trig Sens IEEE /9500/600
  1.070  JMPL         END

  1.071  LABEL        SAMPLE_RATE
  1.072  MATH         @Chan = 1
  1.073  CALL         Sub Tek TDS3000 (1 yr) Sample Rate IEEE /9500
  1.074  JMPL         DCV_CH2

  1.075  LABEL        END
  1.076  HEAD         -2

  1.077  IF           @Abort
  1.078  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.079  ELSE
  1.080  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.081  ENDIF

  1.082  END
